summaryrefslogtreecommitdiff
path: root/ftt-pandoc
diff options
context:
space:
mode:
Diffstat (limited to 'ftt-pandoc')
-rwxr-xr-xftt-pandoc23
1 files changed, 23 insertions, 0 deletions
diff --git a/ftt-pandoc b/ftt-pandoc
new file mode 100755
index 0000000..147d86a
--- /dev/null
+++ b/ftt-pandoc
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+docdate()
+{
+ git describe --dirty 2> /dev/null || date -R
+}
+
+pandoc \
+ --filter ./pandoc-fable-filter \
+ --toc \
+ --number-sections \
+ --standalone \
+ --self-contained \
+ "-Vdate:$(docdate)" \
+ -Vtitlepage:true \
+ -Vfontsize:12pt \
+ "-Vmainfont:Bitstream Charter" \
+ -Vsansfont:Cabin \
+ "-Vmonofont:Courier 10 Pitch" \
+ -Vgeometry:top=2cm,bottom=2.5cm,left=2cm,right=1cm \
+ "$@"